package tech.nevets.templatebot;

import net.dv8tion.jda.api.JDA;
import net.dv8tion.jda.api.JDABuilder;
import net.dv8tion.jda.api.entities.Activity;
import org.simpleyaml.configuration.file.YamlFile;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Bot {
    public static JDA jda;
    private static YamlFile config;
    public static String prefix;
    private static final Logger LOGGER = LoggerFactory.getLogger(Bot.class);

    public static void main(String[] args) throws Exception {
        Config.loadConfig();
        config = Config.getConfig();
        String token = config.getString("bot.token");
        prefix = config.getString("bot.prefix");

        jda = JDABuilder.createDefault(token)
                .addEventListeners(new Listener())
                .build();
        jda.getPresence().setActivity(Activity.watching("over you ❤"));
    }
}
