package tech.nevets.templatebot.commands.example;

import tech.nevets.templatebot.Bot;
import tech.nevets.templatebot.commands.CommandContext;
import tech.nevets.templatebot.commands.ICommand;

import java.util.List;

public class ExampleCmd implements ICommand {
    @Override
    public void handle(CommandContext ctx) {
        ctx.getChannel().sendMessage("This is an example").queue();
    }

    @Override
    public String getName() {
        return "example";
    }

    @Override
    public String getHelp() {
        return "Returns an example string" +
                "Usage: `" + Bot.prefix + "example`";
    }

    @Override
    public List<String> getAliases() {
        return List.of("ex", "anotherexample");
    }
}
